%define anolis_release 3

Name:           perl-Mozilla-CA
Version:        20211001
Release:        %{anolis_release}%{?dist}
Summary:        Mozilla's CA cert bundle in PEM format

# README:                       MPLv2.0
## Unbundled
# mk-ca-bundle.pl:              MIT
# lib/Mozilla/CA/cacert.pem:    MPLv2.0
License:        MPLv2.0
URL:            https://metacpan.org/release/Mozilla-CA
Source0:        https://cpan.metacpan.org/authors/id/A/AB/ABH/Mozilla-CA-%{version}.tar.gz
Patch0001:      0001-Redirect-to-ca-certificates-bundle.patch

BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl-generators
BuildRequires:  perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
# Run-time:
BuildRequires:  ca-certificates
BuildRequires:  perl(strict)
BuildRequires:  perl(File::Spec)
# Tests:
BuildRequires:  perl(Test)
Requires:       ca-certificates

%description
Mozilla::CA provides a path to ca-certificates copy of Mozilla's bundle of
certificate authority certificates in a form that can be consumed by modules
and libraries based on OpenSSL.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n Mozilla-CA-%{version}

# Remove a bundled CA bundle
rm lib/Mozilla/CA/cacert.pem
# Do not distribute Mozilla downloader, we take certificates from
# ca-certificates package
rm mk-ca-bundle.pl
perl -i -ne 'print $_ unless m{^mk-ca-bundle\.pl$}' MANIFEST

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%{perl_vendorlib}/*
%{_mandir}/man3/*

%files doc
%doc Changes README

%changelog
* Thu Feb 09 2023 mgb01105731 <mgb01105731@alibaba-inc.com> - 20211001-3
- remove versioned MODULE_COMPAT_ requires

* Mon Jan 30 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 20211001-2
- rebuild with perl 5.36.0

* Fri Mar 04 2022 Su Lifan <su-lifan@linux.alibaba.com> - 20211001-1
- Initial packaging for Anolis OS 23
